# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

ActsAsTenant.configure do |config|
  config.require_tenant = lambda do
    return false if Rails.env.test?
    if $request_env.present?
      return false if $request_env["REQUEST_PATH"].start_with?("/jobs/")
    end
  end
end

Rails.application.console do
  ActsAsTenant.current_tenant = Wedding.first
end
